Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 609863 - stapitrace : does not adhere to Static Library Packaging Guidelines
stapitrace : does not adhere to Static Library Packaging Guidelines
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: stapitrace (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Maynard Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 06:40 EDT by Michael Schwendt
Modified: 2010-12-11 06:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-11 06:37:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2010-07-01 06:40:28 EDT
stapitrace-2.0.0-0.20090304cvs_alpha.fc12.1.src
is missing
BuildRequires: binutils-static

[...]

https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2

If a library you depend on only provides a static version your package can link against it provided that you BuildRequire the *-static subpackage. Packagers in such a situation should be aware that if a shared library becomes available, that you should adjust your package to use the shared library.
Comment 1 Maynard Johnson 2010-07-12 10:00:54 EDT
This problem is fixed in the devel branch.
Comment 2 Bug Zapper 2010-07-30 08:22:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Michael Schwendt 2010-12-11 06:37:44 EST
Closed by: fedora-report-static-batch.py

Note You need to log in before you can comment on or make changes to this bug.